# GitHub API Wrapper

[![Discord Server Invite](https://discord.com/api/guilds/963406460107235328/widget.png)](https://discord.gg/DWhwsQ5TsT)

Easy to use Python wrapper for the **GitHub API**.

## Key Features
- Modern Pythonic Interface
- Easy to use


## Installing

**Python 3.8 or higher is required to run the library**

To install the library, run the following command:

```bash
# On Linux or MacOS
python3 -m pip install -U github

# On Windows
py -m pip install -U github
```
  
<!-- ## Quick Example

```python
import github
import asyncio

async def main():
  client = await github.GHClient()

  user = await client.get_user(user='GithubPythonBot')

  print(user)
  print(user.html_url)

asyncio.run(main())
```

### Output

```
<User login: 'GithubPythonBot', id: 104489846, created_at: 2022-04-27 07:31:26>
https://github.com/GithubPythonBot
```
-->
## Links
- `Discord Server <https://discord.gg/DWhwsQ5TsT>`_
- `GitHub API Documentation <https://docs.github.com/en/rest>`_
